Subject: RE: NSEC3 Issue 20: Server behavior wrt unknown hash algorithms

From: "Scott Rose" <[email-masked]>
Date: Tue, 6 Jun 2006 11:49:15 -0400

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David Blacka

>
> On Jun 6, 2006, at 10:00 AM, Scott Rose wrote:
>
> > Personally, I think Approach 1 may be best.  It would be consistent in
> > dealing with everything - name errors, no error/no data, wildcards and
> > unsigned delegations.
>
> I think approach 1 is best, too, although I disagree with how it is
> stated.
>
> If a nameserver refuses to load a zone, why would it return RCODE=2
> in responses that would fall under that zone?  As far as responses
> go, it should behave the same for all zones that it isn't
> authoritative for.
>

My guess that part was for ixfr/axfr.  How secondaries should act when
getting a zone with unknown hash algos in the NSEC3 RRs (after a hash algo
rollover I assume).  At least that was my understanding.

Scott

> --
> David Blacka    <[email-masked]>
> Sr. Engineer    VeriSign Applied Research
>
>
>
>
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>